<?php	
ob_start(); 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use Dompdf\Dompdf;
use Dompdf\Options;

require_once __DIR__ . "/vendor/autoload.php";

$options = new Options();
$options->set('isRemoteEnabled', true);
$options->set('isHtml5ParserEnabled', true);
$options->set('chroot', __DIR__); 
$dompdf = new Dompdf($options);

	include_once("includes/conexao.php");

	  if(isset($_GET['id']) && !empty($_GET['id'])){
		  
		  $id = $_GET['id'];
		 
		  
		 $buscar = mysqli_query($con,"SELECT * FROM clientes WHERE id_cliente='$id'");
		 $result = mysqli_fetch_assoc($buscar);
		  $cliente = $result['nome_cliente'];
		 


}	
$html8 ='';
$html8 .= '<table width="100%">';	
	$html8 .= '<thead style="background-color:silver">';
	$html8 .= '<tr>';
	$html8 .= '<th>Ref.</th>';
	$html8 .= '<th>Valor</th>';
	$html8 .= '<th>Juros</th>';
	$html8 .= '<th>Total</th>';
	$html8 .= '<th>Data</th>';
	$html8 .= '<th>Estado</th>';
	$html8 .= '</tr>';
	$html8 .= '</thead>';
	$html8 .= '<tbody>';
	
	$item=1;

	
	$result_transacoes = "SELECT * FROM creditos WHERE id_cliente ='$id'";
	
	$resultado_trasacoes = mysqli_query($con, $result_transacoes);
	while($row_transacoes = mysqli_fetch_assoc($resultado_trasacoes)){
	  
		$html8 .= '<tr>';
		$html8 .= '<td>'.$item++. "</td>";
		$html8 .= '<td>'.number_format($row_transacoes['valor'],2,",","."). "</td>";
		$html8 .= '<td>'.number_format($row_transacoes['juros'],2,",","."). "</td>";
		$html8 .= '<td>'.number_format($row_transacoes['total'],2,",","."). "</td>";
		$html8 .= '<td>'.$row_transacoes['data']. "</td>";
		$html8 .= '<td>'.$row_transacoes['status']. "</td></tr>";
				
	}

	
	$html8 .= '</tbody>';
	$html8 .= '</table>';		 
		 
		 





  $html ='
  
  
  <p>
   <b>Nome complecto</b>: <i>'.$result['nome_cliente'].'</i><br>
   <b>Morada</b>: <i>'.$result['bairro'].'</i><br>
   <b>Local de trabalho</b>: <i>'.$result['local_trabalho'].'</i><br>
   <b>Profissao</b>: <i>'.$result['profissao'].'</i><br>
   <b>Nuit</b>: <i>'.$result['nuit'].'</i><br>
   <b>Nacionalidade</b>: <i>'.$result['nacionalidade'].'</i><br>
   <b>BI</b>: <i>'.$result['bi'].'</i><br>
   <b>Estado civil</b>: <i>'.$result['estado_civil'].'</i><br>
   <b>Provincia</b>: <i>'.$result['provincia'].'</i><br>
  
   <b>Local emissao</b>: <i>'.$result['local_emissao'].'</i><br>
   <b>Data de nascimento</b>: <i>'.$result['data_nasc'].'</i><br>
   <b>Contacto 1</b>: <i>'.$result['cell1'].'</i><br>
   <b>Contacto 2</b>: <i>'.$result['cell2'].'</i><br>
  
  
  
  
  
  </p>
  
  
  
  
  ';

	
		
	
	

  $takefoto = "SELECT * FROM clientes WHERE id_cliente='$id'";
  $sql_query = mysqli_query($con,$takefoto);
  $tira = mysqli_fetch_assoc($sql_query);
  $foto_cliente = $tira['foto'];
  
	
	$buscar_empresa = "SELECT * FROM empresa";
	$lingamo = mysqli_query($con,$buscar_empresa);
	$associar = mysqli_fetch_assoc($lingamo);
	$nome_empresa = $associar['nome_empresa'];
	$endereco_empresa = $associar['endereco'];
	$email_empresa = $associar['email'];
	$cell_empresa = $associar['contactos'];
	$nuit_empresa = $associar['nuit'];
	$logo_empresa = $associar['logo'];
	
	
	

	
	// Carrega seu HTML
	$dompdf->load_html('
<div class="logo" align="center">
	<img src="img/'.$result['foto'].'" width="260px" height="160px"/>

	</div>
	

	
	<style>
table, th, td {
  border: 1px solid black;
 
}

img{
    border-radius:50%;
}
		
	</style>
	<br></br><br>
	
		
		<h3>Ficha de <font color="red"> '.$result['nome_cliente'].'</font></h3>
		
		
			'. $html .'

	  <hr>
	  <p><font color="red">Historico de credito & CRC</font></p>
	  '.$html8.'
			
			
		');

	//Renderizar o html
	$dompdf->render();

	//Exibibir a página
	$dompdf->stream(
		"report.pdf", 
		array(
			"Attachment" => false //Para realizar o download somente alterar para true
		)
	);
	
?>